Release: The Events Calendar 4.8, Event Tickets 4.10 and Premium Add-ons

We are proud to announce a new release of our plugins is out! In this version we are enforcing the use of PHP 5.6 or greater and added a new Plugin Dependency Checking system to ensure maximum compatibility with our premium add-ons.

Moreover, we’ve polished up Event Tickets and Event Tickets Plus with a new Ticket Status Management system that makes much easier to manage your ticket orders and attendees.

We always recommend using a staging site to test these changes before updating on a live site.

To see all of the changes included this release, check out the changelogs for all updated plugins below:


The Events Calendar 4.8

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Added support for Promoter licenses
  • Tweak – Added filters: tribe_register_{$main_class}_plugin_version, tribe_register_{$main_class}_plugin_dependencies
  • Tweak – Added actions: tribe_plugins_loaded
  • Tweak – Changed views: promoter/auth
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – Constants MIN_ET_VERSION and MIN_COMMON_VERSION in Tribe__Events__Main, use $min_et_version property and no replacement for MIN_COMMON_VERSION
  • Deprecated – The is_delayed_activation(), maybe_delay_activation_if_outdated_common(), and checkAddOnCompatibility() method has been deprecated in Tribe__Events__Main in favor of new Dependency Checking System
  • Language (Tribe Common) – 3 new strings added, 10 updated, 1 fuzzied, and 1 obsoleted
  • Language – 7 new strings added, 139 updated, 0 fuzzied, and 1 obsoleted

Events Calendar Pro 4.6

  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – Constants REQUIRED_TEC_VERSION in Tribe__Events__Pro__Main, use Plugin Dependency Checking system to check for requirements
  • Deprecated – The functions tribe_init_ecp_addon() and Tribe_ECP_Load() and register_active_plugin() method has been deprecated in Tribe__Events__Pro__Main in favor of Plugin Dependency Checking system
  • Language – 7 new strings added, 51 updated, 0 fuzzied, and 1 obsoleted

Event Tickets 4.10

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Added support for Promoter licenses
  • Tweak – Added filters: tribe_register_{$main_class}_plugin_version, tribe_register_{$main_class}_plugin_dependencies
  • Tweak – Added actions: tribe_plugins_loaded
  • Tweak – Changed views: promoter/auth
  • Tweak – Add tooltips and additional information to Tribe Commerce Orders page header
  • Tweak – Update plugin header
  • Tweak – Added filters: event_tickets_attendees_{$provider_slug}_checkin_stati, tribe_tickets_supported_system_version, tribe_not_php_version_names
  • Tweak – Removed filters: event_tickets_attendees_{$provider}_checkin_stati
  • Tweak – Removed actions: tribe_tickets_plugin_failed_to_load
  • Fix – Prevent errors in PHP 7.2+ with ticket management
  • Fix – Only allow delete or move attendee if user can manage attendee
  • Fix – Prevent redirection of attendee registration to homepage when home is set to main events page
  • Deprecated – constants MIN_TEC_VERSION and MIN_COMMON_VERSION in Tribe__Tickets__Main, use $min_tec_version property and no replacement for MIN_COMMON_VERSION
  • Deprecated – The et_plus_compatibility_notice() method has been deprecated in Tribe__Tickets__Main in favor of Plugin Dependency Checking system
  • Language (Tribe Common) – 3 new strings added, 10 updated, 1 fuzzied, and 1 obsoleted
  • Language – 15 new strings added, 136 updated, 0 fuzzied, and 40 obsoleted

Event Tickets Plus 4.10

  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Feature – Add order page for EDD
  • Tweak – Add a class to admin attendee meta markup
  • Tweak – Update plugin header
  • Tweak – Add tooltips and additional information to WooCommerce Orders page header
  • Tweak – Added filters: tribe_events_tickets_edd_orders_table_column, tribe_tickets_plus_edd_order_link_url, tribe_tickets_woo_cart_url, tribe_not_php_version_names
  • Tweak – Added actions: tribe_tickets_plus_report_event_details_list_top, tribe_tickets_plus_report_event_details_list_bottom, tribe_tickets_plus_after_event_details_list
  • Tweak – Changed views: wootickets/tickets
  • Fix – When adding a WooCommerce ticket to the cart, redirect only if the “WooCommerce” setting is set. Thanks to Thomas and Ilkka for flagging this!
  • Deprecated – The functions event_tickets_plus_is_incompatible_tickets_core_installed(), event_tickets_plus_check_for_init_failure() and event_tickets_plus_setup_fail_message() and register_active_plugin(), on_load(), plugins_loaded() method has been deprecated in Tribe__Tickets_Plus__Main in favor of Plugin Dependency Checking system
  • Deprecated – Class Tribe__Tickets_Plus__Commerce__EDD__Orders_Report use Tribe__Tickets_Plus__Commerce__EDD__Orders__Report instead
  • Deprecatedfilter_attendee_order_link() in Tribe__Tickets_Plus__Editor, replaced with method in EDD and Woo to filter order link using tribe_filter_attendee_order_link
  • Language – 11 new strings added, 42 updated, 1 fuzzied, and 7 obsoleted

Community Events 4.6

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Ensure we load the text domain before loading activation messages
  • Tweak – Change whitespace positions for better and more consistent translations
  • Tweak – Update plugin header
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – The function Tribe_CE_Load() and constant REQUIRED_TEC_VERSION, init_addon() method has been deprecated in Tribe__Events__Community__Main in favor of Plugin Dependency Checking system

Community Tickets 4.6

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Update tooltip to clarify subscribers cannot manage attendees
  • Tweak – Update plugin header
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – The constants REQUIRED_TEC_VERSION and REQUIRED_ET_VERSION, autoloading() and register_active_plugin() method has been deprecated in Tribe__Events__Community__Tickets__Main in favor of Plugin Dependency Checking system

Filter Bar 4.6

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – The function TribeEventsFilterViewsLoad() and constant REQUIRED_TEC_VERSION along with initAddon() method has been deprecated in Tribe__Events__Filterbar__View in favor of Plugin Dependency Checking system
  • Language – 7 new strings added, 20 updated, 0 fuzzied, and 1 obsoleted

Eventbrite Tickets 4.6

  • Feature – Add check and enforce PHP 5.6 as the minimum version
  • Feature – Add system to check plugin versions to inform you to update and prevent site breaking errors
  • Tweak – Added filters: tribe_not_php_version_names
  • Deprecated – The constant REQUIRED_TEC_VERSION, init_addon() and register_active_plugin() method has been deprecated in Tribe__Events__Tickets__Eventbrite__Main in favor of Plugin Dependency Checking System
  • Deprecated – The tribe_events_eventbrite_start(), Tribe_Eventbrite_Load(), eventbrite_setup_textdomain(), and tribe_events_eventbrite_activate() in favor of new Dependency Checking System
  • Language – 7 new strings added, 52 updated, 0 fuzzied, and 0 obsoleted

Not Updated This Release

The following plugins have not been updated this release and will remain at the version numbers specified here:

  • Advanced Post Manager 4.4.4
  • Image Widget 4.4.7
  • Image Widget Plus 1.0.2
  • GigPress 2.3.22